import { AfterViewInit, EventEmitter, OnDestroy } from '@angular/core';
import { AccessibleDashboard, AddFilters, ChangedFiltersEvent, DashboardActionEvent, DashboardEditMode, DashboardInputs, ExportDashboard, ExportedEvent, ItemData, ItemsRenderedEvent, LoadEvent, NgxLuzmoDashboard, SetEditMode, SetPreview, CustomEvent, CombinedSelectedDataInput, SetSelectedData, DashboardExportType } from '@luzmo/shared-embed';
import { Observable } from 'rxjs';
import type { FilterGroup } from '@luzmo/embed';
import * as i0 from "@angular/core";
export declare class NgxLuzmoDashboardComponent implements AfterViewInit, OnDestroy {
    libVersion: string;
    appServer: DashboardInputs['apiHost'];
    apiHost: DashboardInputs['apiHost'];
    authToken: DashboardInputs['authToken'];
    authKey: DashboardInputs['authKey'];
    dashboardId: DashboardInputs['dashboardId'];
    itemId: DashboardInputs['itemId'];
    dashboardSlug: DashboardInputs['dashboardSlug'];
    editMode: DashboardInputs['editMode'];
    screenMode: DashboardInputs['screenMode'];
    switchScreenModeOnResize: DashboardInputs['switchScreenModeOnResize'];
    language: DashboardInputs['language'];
    editorLanguage: DashboardInputs['editorLanguage'];
    qeVersion: DashboardInputs['qeVersion'];
    timezoneId: DashboardInputs['timezoneId'];
    contextId?: string;
    theme?: string;
    mainColor: DashboardInputs['mainColor'];
    accentColor: DashboardInputs['accentColor'];
    loaderBackground: DashboardInputs['loaderBackground'];
    loaderFontColor: DashboardInputs['loaderFontColor'];
    loaderSpinnerColor: DashboardInputs['loaderSpinnerColor'];
    loaderSpinnerBackground: DashboardInputs['loaderSpinnerBackground'];
    itemDimensions: DashboardInputs['itemDimensions'];
    embedMode: DashboardInputs['embedMode'];
    load: EventEmitter<LoadEvent>;
    itemsRendered: EventEmitter<ItemsRenderedEvent>;
    customEvent: EventEmitter<CustomEvent>;
    changedFilters: EventEmitter<ChangedFiltersEvent>;
    dashboardAction: EventEmitter<DashboardActionEvent>;
    exported: EventEmitter<ExportedEvent>;
    private luzmoElementRef;
    private ngxLuzmoService;
    private ngZone;
    private get luzmoElement();
    constructor();
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    getDashboards(): Observable<NgxLuzmoDashboard[]>;
    getData(itemId: string): Observable<ItemData>;
    getFilters(): Observable<FilterGroup[]>;
    setAuthorization(key: string, token: string): Observable<void>;
    refreshData(itemId?: string): Observable<void>;
    reloadDashboard(): Observable<void>;
    exportDashboard(format?: DashboardExportType): Observable<ExportDashboard>;
    getAccessibleDashboards(): Observable<AccessibleDashboard[]>;
    setEditMode(editMode: DashboardEditMode): Observable<SetEditMode>;
    setSelectedData<K extends CombinedSelectedDataInput>(itemId: string, filters: K): Observable<SetSelectedData>;
    addFilters(itemId: string, filters: FilterGroup[]): Observable<AddFilters>;
    setPreview(preview: boolean): Observable<SetPreview>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxLuzmoDashboardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxLuzmoDashboardComponent, "luzmo-dashboard", never, { "appServer": { "alias": "appServer"; "required": false; }; "apiHost": { "alias": "apiHost"; "required": false; }; "authToken": { "alias": "authToken"; "required": false; }; "authKey": { "alias": "authKey"; "required": false; }; "dashboardId": { "alias": "dashboardId"; "required": false; }; "itemId": { "alias": "itemId"; "required": false; }; "dashboardSlug": { "alias": "dashboardSlug"; "required": false; }; "editMode": { "alias": "editMode"; "required": false; }; "screenMode": { "alias": "screenMode"; "required": false; }; "switchScreenModeOnResize": { "alias": "switchScreenModeOnResize"; "required": false; }; "language": { "alias": "language"; "required": false; }; "editorLanguage": { "alias": "editorLanguage"; "required": false; }; "qeVersion": { "alias": "qeVersion"; "required": false; }; "timezoneId": { "alias": "timezoneId"; "required": false; }; "contextId": { "alias": "contextId"; "required": false; }; "theme": { "alias": "theme"; "required": false; }; "mainColor": { "alias": "mainColor"; "required": false; }; "accentColor": { "alias": "accentColor"; "required": false; }; "loaderBackground": { "alias": "loaderBackground"; "required": false; }; "loaderFontColor": { "alias": "loaderFontColor"; "required": false; }; "loaderSpinnerColor": { "alias": "loaderSpinnerColor"; "required": false; }; "loaderSpinnerBackground": { "alias": "loaderSpinnerBackground"; "required": false; }; "itemDimensions": { "alias": "itemDimensions"; "required": false; }; "embedMode": { "alias": "embedMode"; "required": false; }; }, { "load": "load"; "itemsRendered": "itemsRendered"; "customEvent": "customEvent"; "changedFilters": "changedFilters"; "dashboardAction": "dashboardAction"; "exported": "exported"; }, never, never, true, never>;
}
