import { AfterViewInit, ElementRef, EventEmitter, NgZone } from '@angular/core';
import * as SharedLib from '@luzmo/shared-embed';
import type { LuzmoVizItemComponentInterface, VizItemType, VizItemOptions, VizItemSlots, FilterGroup, VizItemExportType } from '@luzmo/embed';
import * as i0 from "@angular/core";
export declare class NgxLuzmoVizItemComponent implements AfterViewInit {
    private elementRef;
    private ngZone;
    appServer?: string | undefined;
    apiHost?: string | undefined;
    slots?: VizItemSlots;
    options?: VizItemOptions;
    type?: VizItemType;
    authKey?: string;
    authToken?: string;
    contextId?: string;
    canFilter?: SharedLib.CanFilter;
    filters?: FilterGroup[];
    dashboardId?: string;
    itemId?: string;
    selectedData?: SharedLib.SelectedDataInput;
    dashboardContentsVersion?: string;
    libVersion: string;
    load: EventEmitter<SharedLib.VizItemPostMessageLoadEvent>;
    rendered: EventEmitter<SharedLib.VizItemPostMessageRenderedEvent>;
    exported: EventEmitter<SharedLib.VizItemPostMessageExportedEvent>;
    changedFilters: EventEmitter<SharedLib.VizItemPostMessageChangedFiltersEvent>;
    customEvent: EventEmitter<SharedLib.VizItemPostMessageCustomEventEvent>;
    get canFilterValue(): string;
    luzmoEmbedVizItem: ElementRef<LuzmoVizItemComponentInterface>;
    constructor(elementRef: ElementRef, ngZone: NgZone);
    private get luzmoVizElement();
    getFilters(): FilterGroup[];
    export(type?: VizItemExportType): void;
    refreshData(): void;
    getData(): SharedLib.ItemData;
    setAuthorization(key: string, token: string): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxLuzmoVizItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgxLuzmoVizItemComponent, "luzmo-viz-item", never, { "appServer": { "alias": "appServer"; "required": false; }; "apiHost": { "alias": "apiHost"; "required": false; }; "slots": { "alias": "slots"; "required": false; }; "options": { "alias": "options"; "required": false; }; "type": { "alias": "type"; "required": false; }; "authKey": { "alias": "authKey"; "required": false; }; "authToken": { "alias": "authToken"; "required": false; }; "contextId": { "alias": "contextId"; "required": false; }; "canFilter": { "alias": "canFilter"; "required": false; }; "filters": { "alias": "filters"; "required": false; }; "dashboardId": { "alias": "dashboardId"; "required": false; }; "itemId": { "alias": "itemId"; "required": false; }; "selectedData": { "alias": "selectedData"; "required": false; }; "dashboardContentsVersion": { "alias": "dashboardContentsVersion"; "required": false; }; }, { "load": "load"; "rendered": "rendered"; "exported": "exported"; "changedFilters": "changedFilters"; "customEvent": "customEvent"; }, never, never, true, never>;
}
